%ic7_1
%Coded by LTR on 9/17/19
%Problems with full interpolation

clear ; clf ;
load ic7 %Runge's function
%x_big and y_big should be thought of as the "true" function
plot(x_big,y_big,'linewidth',3)
hold on
%x and y are discrete data, such as what we'd measure experimentally
plot(x,y,'ro','markersize',12,'markerface','r')

%Create the full order polynomial
p_full = polyfit(x,y,length(x)-1);

%Plot this:
x_interp = linspace(x(1),x(end)); y_interp = polyval(p_full,x_interp);
plot(x_interp,y_interp,'k','linewidth',3)
%Not the best fit, due to oscillations.
%Other strategies?



